using System;
using System.Diagnostics;
using System.Diagnostics.CodeAnalysis;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Mobility
{
    public static class Rule1600
    {
        // このメソッドは CA1600 に違反しています。
        [SuppressMessage("Microsoft.Security", "CA2122:DoNotIndirectlyExposeMethodsWithLinkDemands")]
        public static void Start()
        {
            Process process = new Process();
            process.PriorityClass = ProcessPriorityClass.Idle;
        }
    }
}
